import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const ProvinceBarDashboardService = createAsyncThunk(
  "PROVINCE_BAR_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "dashboard_bar_difference_request/",
      {
        params: {
          role: getRoleFromUrl(),
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          filter: "search",
          value: d.textValue,
          state: d.state,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
